package com.ynet.life.sujrb.action;

import com.google.gson.Gson;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.base.Trace;
import com.ynet.life.file.LifeFile;
import com.ynet.life.util.PropertiesFile;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.HashMap;
import java.util.Map;
import java.util.Properties;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.apache.commons.fileupload.FileItem;
import org.apache.commons.fileupload.disk.DiskFileItemFactory;
import org.apache.commons.fileupload.servlet.ServletFileUpload;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/UploadImage.class */
public class UploadImage extends HttpServlet {
    private static final long serialVersionUID = 1;
    Properties sysProperties = PropertiesFile.getProperties("/properties/system.properties");
    private int bufferSize = 10240;
    private String tempFileFolder = "";

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v15, types: [java.lang.String] */
    /* JADX WARN: Type inference failed for: r0v16, types: [java.lang.Exception] */
    /* JADX WARN: Type inference failed for: r0v39, types: [java.io.PrintWriter] */
    protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
        String fileRoute = getServletContext().getRealPath("/upload/" + LifeStandard.getServerTime("yyyyMMdd") + LifeFile.DIR_SEPARATOR);
        String pathNew = this.sysProperties.getProperty("rootUrl");
        String path = "";
        System.out.println("host:===" + request.getHeader("host"));
        System.out.println("origin:===" + request.getHeader("origin"));
        System.out.println("referer:===" + request.getHeader("referer"));
        if (request.getHeader("referer").indexOf("sipifs") != -1) {
            path = "/sipifs";
        }
        System.out.println("path----".concat(String.valueOf(path)));
        Map<Object, Object> responseData = new HashMap<>();
        ?? r0 = "";
        String url = "";
        try {
            File file = new File(fileRoute);
            if (!file.exists() && !file.isDirectory()) {
                System.out.println(String.valueOf(fileRoute) + "目录不存在，需要创建");
                file.mkdir();
            }
            DiskFileItemFactory factory = new DiskFileItemFactory(this.bufferSize, new File(getTempUploadDir()));
            ServletFileUpload upload = new ServletFileUpload(factory);
            if (!ServletFileUpload.isMultipartContent(request)) {
                return;
            }
            System.out.println("isM = " + ServletFileUpload.isMultipartContent(request));
            for (FileItem item : upload.parseRequest(request)) {
                if (item.isFormField()) {
                    String name = item.getFieldName();
                    String value = item.getString("UTF-8");
                    System.out.println(String.valueOf(name) + "=" + new String(value.getBytes("iso-8859-1"), "UTF-8"));
                } else {
                    String filename = item.getName();
                    System.out.println("filename=".concat(String.valueOf(filename)));
                    if (filename != null && !filename.trim().equals("")) {
                        String filename2 = filename.substring(filename.lastIndexOf("\\") + 1);
                        InputStream in = item.getInputStream();
                        byte[] buffer = new byte[1024];
                        FileOutputStream output = new FileOutputStream(String.valueOf(fileRoute) + "/" + filename2);
                        url = (String.valueOf(pathNew) + "/" + fileRoute.substring(fileRoute.indexOf("upload")) + "/" + filename2).replaceAll("\\\\", "/");
                        while (true) {
                            int len = in.read(buffer);
                            if (len <= 0) {
                                break;
                            } else {
                                output.write(buffer, 0, len);
                            }
                        }
                        in.close();
                        output.close();
                    }
                }
            }
            responseData.put(MessageUtil.REQ_MESSAGE_TYPE_LINK, url);
            System.out.println("返回url======:".concat(String.valueOf(url)));
            String jsonResponseData = new Gson().toJson(responseData);
            response.setContentType("application/json");
            response.setCharacterEncoding("UTF-8");
            r0 = response.getWriter();
            r0.write(jsonResponseData);
        } catch (Exception e) {
            r0.printStackTrace();
            new HashMap().put("error", e.toString());
        }
    }

    protected String getTempUploadDir() {
        String dir = String.valueOf(LifeFile.getTempFileRootPath()) + this.tempFileFolder + LifeFile.DIR_SEPARATOR;
        checkFolder(dir);
        return dir;
    }

    private void checkFolder(String folderPath) {
        if (!new File(folderPath).isDirectory()) {
            Trace.logError("LifeFile", "本地目录--->" + folderPath + " 不可用");
            LifeFile.makeMultiDirectory(folderPath);
        }
    }
}
